# Functor Lwt_throttle.Make

    module Make: functor (H : Hashtbl.HashedType) -> S  with type key = H.t

Parameters: |
`H` | : | `Hashtbl.HashedType`

    type key

    type t

    val create : rate:int -> max:int -> n:int -> t

`rate` : maximum number of connections per second
`max` : maximum waiting time (in seconds)
`n` : initial size of the hash table

    val wait : t -> key -> bool Lwt.t

Returns `false` if maximum reached, `true` else